Sign InSign Up
    • Instructions For Model Inference Interface Configuration
      • Instructions For Model Inference Interface Configuration In Details
      • Model Inference API
    • Getting started with Atmos
      • Installing Dependencies
    • Authentication
      • Configuration

    Model Inference API

    Learn how to use the Atmos API for model inference.

    Atmos provides an OpenAI-compatible API for interacting with deployed models.

    Base URL

    All API requests should be made to:

    https://api.atmos.dev/v1
    

    Authentication

    Authenticate your requests by including your API key in the Authorization header:

    Authorization: Bearer YOUR_API_KEY
    

    Chat Completions

    To generate text using a chat model, use the /chat/completions endpoint.

    Request Example

    curl https://api.atmos.dev/v1/chat/completions \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer $ATMOS_API_KEY" \
    -d '{
    "model": "meta-llama/Llama-3-8b-chat-hf",
    "messages": [
    {
    "role": "system",
    "content": "You are a helpful assistant."
    },
    {
    "role": "user",
    "content": "Hello!"
    }
    ]
    }'
    
    1. Base URL
      1. Authentication
      2. Chat Completions